#include <Adafruit_NeoPixel.h>

const int PIN = 5 ;
const int NLED = 240 ;

// Create an interface to the Adafruit library, which is 
// very cool and very convenient...

Adafruit_NeoPixel strip = Adafruit_NeoPixel(240, PIN, NEO_GRB + NEO_KHZ800);

void
setup()
{
    strip.begin() ;
    strip.show() ;
}

#define LVAL 	(0)
#define HVAL	(64)

int colortab[] = {
    LVAL, LVAL, LVAL,		// BLACK
    HVAL, LVAL, LVAL,		// RED
    LVAL, HVAL, LVAL,		// GREEN
    LVAL, LVAL, HVAL,		// BLUE
    HVAL, HVAL, LVAL,		// YELLOW
    LVAL, HVAL, HVAL,		// CYAN
    HVAL, LVAL, HVAL,		// MAGENTA
    HVAL, HVAL, HVAL,		// WHITE
} ;


void
loop()
{
    int start = 0 ;
    int offset, i ;

    for (;;) {
	offset = start ;
	for (i=0; i<NLED; i++) {
	    strip.setPixelColor(i, colortab[offset], colortab[offset+1], colortab[offset+2]) ;
	    offset += 3 ;
	    if (offset >= 24)
		offset = 0 ;
	}
	strip.show() ;
	delay(100) ;

	start += 3 ;
	if (start >= 24) 
	    start = 0 ;
    }
}
